
#if defined(CCTOOLS_OPSYS_SUNOS)

#include <sys/loadavg.h>

void load_average_get( double *avg )
{
	avg[0] = avg[1] = avg[2] = 0;
	getloadavg(avg,3);
}

#elif defined(CCTOOLS_OPSYS_DARWIN)

#include <stdlib.h>

void load_average_get( double *avg )
{
	avg[0] = avg[1] = avg[2] = 0;
	getloadavg(avg,3);
}

#elif defined(CCTOOLS_OPSYS_LINUX)

#include <stdio.h>

void load_average_get( double *avg )
{
	FILE *f;
	avg[0] = avg[1] = avg[2] = 0;
	f = fopen("/proc/loadavg","r");
	if(f) {
		fscanf(f,"%lf %lf %lf",&avg[0],&avg[1],&avg[2]);
		fclose(f);
	}
}

#else

void load_average_get( double *avg )
{
	avg[0] = avg[1] = avg[2] = 0;
}

#endif
