/*
This helper library works alongside the main parrot code in
order to avoid operations that are complex or unsupported by Parrot.
Parrot locates the helper library and uses the LD_PRELOAD linker
feature to force it into dynamically linked programs.  It can
then be used to override various ugly library features.

An ugly bug in Linux makes it impossible to ptrace across vfork
reliably, so the helper library converts vforks into forks,
which can be supported.  Other hacks may be added as necessary.
*/

#include <unistd.h>
#include <sys/types.h>

pid_t vfork()
{
	return fork();
}

pid_t __vfork()
{
	return fork();
}
